@import 'css/_variables.scss';

.customTooltip {
  text-align: center;
  font-size: 0.75rem;
  font-style: normal;
  font-weight: 400;
  line-height: 16px;

  &.--noPadding {
    :global {
      .ant-tooltip-inner {
        padding: 0;
      }
    }
  }

  &.--noArrow {
    :global {
      .ant-tooltip-arrow {
        display: none;
      }
    }
  }

  &.--black {
    * {
      color: $coa-white-100 !important;
    }
    :global {
      .ant-tooltip-inner {
        background: $original-black !important;
      }
    }

    &.--right {
      :global {
        .ant-tooltip-arrow {
          border-right-color: $original-black;
        }
      }
    }

    &.--left {
      :global {
        .ant-tooltip-arrow {
          border-left-color: $original-black;
        }
      }
    }

    &.--top {
      :global {
        .ant-tooltip-arrow {
          border-top-color: $original-black;
        }
      }
    }

    &.--bottom {
      :global {
        .ant-tooltip-arrow {
          border-bottom-color: $original-black;
        }
      }
    }
  }

  &.--white {
    :global {
      .ant-tooltip-inner {
        color: $black;
        font-size: 0.8rem;
        font-weight: 400;
        background: $coa-white-100 !important;
      }
    }

    &.--right {
      :global {
        .ant-tooltip-arrow {
          border-right-color: $coa-white-100;
        }
      }
    }

    &.--left {
      :global {
        .ant-tooltip-arrow {
          border-left-color: $coa-white-100;
        }
      }
    }

    &.--top {
      :global {
        .ant-tooltip-arrow {
          border-top-color: $coa-white-100;
        }
      }
    }

    &.--bottom {
      :global {
        .ant-tooltip-arrow {
          border-bottom-color: $coa-white-100;
        }
      }
    }
  }
}
